Bug 228455 - [gu_IN] Dependent Vowel is treated as Independent vowel (0AE2/0AE3)
[gu_IN] Dependent Vowel is treated as Independent vowel (0AE2/0AE3)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
bzcl34nup
: i18n, Reopened
Depends On: 228452
Blocks: 228456 228457
  Show dependency treegraph
 
Reported: 2007-02-13 02:26 EST by A S Alam
Modified: 2013-07-02 20:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-17 00:46:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix dependent vowel problem (728 bytes, patch)
2007-02-13 05:44 EST, Parag Nemade
no flags Details | Diff

  None (edit)
Description A S Alam 2007-02-13 02:26:29 EST
+++ This bug was initially created as a clone of Bug #228452 +++

Description of problem:
0AE2/OAE3 unicode of Gujarati treated as Independent vowel in konqueror, kedit,
so shown NO Dotted circle before this,

Version-Release number of selected component (if applicable):
qt-3.3.7-2.fc7
pango-1.15.5-1.fc7

How reproducible:
Everytime during type this

Steps to Reproduce:
1. open kedit/kate
2. with unicode input (rawcode with scim), type 0AE2 and 0AE3
3. for copy paste this (ૢ and ૣ a)
  
Actual results:
treated as Independent Vowel (NO dotted circle before)

Expected results:
Dependent vowel, so A DOtted cirecle before

Additional info:
check Image for correctout

Images are attached

-- Additional comment from aalam@redhat.com on 2007-02-13 01:56 EST --
Created an attachment (id=147963)
Incorrect Image


-- Additional comment from aalam@redhat.com on 2007-02-13 01:57 EST --
Created an attachment (id=147964)
correct image from Unicode
Comment 1 Parag Nemade 2007-02-13 05:38:31 EST
Considering component pango i suppose this bug is reported for gedit rendering
problem also.
Comment 2 Parag Nemade 2007-02-13 05:44:01 EST
Created attachment 147970 [details]
patch to fix dependent vowel problem
Comment 3 A S Alam 2007-08-23 05:04:30 EDT
any RPM build to test this or it was build for Fedora?
Comment 4 Liang Zhang 2007-09-28 04:44:08 EDT
The upstream bug:
http://bugzilla.gnome.org/show_bug.cgi?id=481208
Comment 5 Bug Zapper 2008-04-03 15:07:53 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Bug Zapper 2008-05-06 21:10:40 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp
Comment 7 A S Alam 2008-05-07 06:50:50 EDT
ૢૣૢૣૢૣstill exist
pango-1.20.1-1.fc9.i386
Comment 8 Bug Zapper 2008-05-13 22:36:43 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Tony Fu 2008-09-09 23:11:38 EDT
requested by Jens Petersen (#27995)
Comment 10 A S Alam 2008-12-12 00:31:22 EST
Bug still exist with following package:
pango-1.20.4-1.fc9
Comment 11 Bug Zapper 2009-06-09 18:27:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 A S Alam 2009-06-10 06:35:11 EDT
Exist in F11 with following package:
pango-1.24.1-1.fc11

Moving to F11
Comment 13 Parag Nemade 2009-12-14 06:16:06 EST
Moving to F-12 as pango seems will not be updated for F-11 and we already got fix for this in F-12, pango-1.26.1-fc12
Comment 14 A S Alam 2009-12-17 00:46:24 EST
Working as expected
pango-1.26.1-1.fc12

Note You need to log in before you can comment on or make changes to this bug.